Cyberduck Mountain Duck CLI

#7513 closed defect (fixed)

Copying files to Amazon Glacier with "compare" mode results in duplicate subdirectories

Reported by: bugreporter6712 Owned by: dkocher
Priority: normal Milestone: 4.4.1
Component: s3 Version: 4.4
Severity: normal Keywords: s3, glacier
Cc: Architecture:
Platform:

Description (last modified by dkocher)

I'm copying files to Amazon Glacier (using S3 credentials in the app). At some point in the middle of copying, it stopped with an error. (Maybe that's a separate bug, I'll file it if it seems to be recurring.) I try to restart the copying, and it notices that some files exist, and asks how to handle them. I choose "Compare". It finishes copying, but I notice that all my directories are duplicate inside themselves. So with this original structure:

  • /a
  • /a/b
  • /c

Glacier now has:

  • /a
  • /a/a
  • /a/b/b
  • /c/c

The duplicate subdirs appear to be empty, so it didn't copy the contents twice, just the directory names, into themselves.

Change History (4)

comment:1 Changed on Oct 27, 2013 at 10:06:29 PM by dkocher

We do not support connecting to Amazon Glacier directly but only via lifecycle configuration options for a bucket to archive files in Glacier. I assume you connect to a regular S3 bucket?

comment:2 Changed on Oct 28, 2013 at 2:59:36 PM by dkocher

  • Milestone set to 4.4.1

comment:3 Changed on Oct 28, 2013 at 6:46:30 PM by dkocher

  • Description modified (diff)

comment:4 Changed on Nov 7, 2013 at 3:43:36 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r13813 and r13884.

Note: See TracTickets for help on using tickets.
swiss made software